### Method

# FwupdPlugin Device has_inhibit

since: 1.8.0

#### Declaration [src]

    gboolean
    fu_device_has_inhibit (
      FuDevice* self,
      const gchar* inhibit_id
    )

#### Description [src]

Check if the device already has an inhibit with a specific ID.

Available since: 1.8.0

#### Parameters

`inhibit_id`

  Type: `const gchar*`

  An ID used for inhibiting, e.g. `low-power`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if added.